ChangeSet 1.925.62.1, 2003/02/07 16:36:33+11:00, stern@rowland.harvard.edu

[PATCH] USB: Patches for the ECONNRESET error (2.5)

Matt Dharm asked me to send these bug-fix patches directly to you.  They
correct the error-code handling in usb-storage.  The change for 2.5 is
pretty minor; it only affects debugging output.  But the change for 2.4 is
more pervasive, and according to Tom Collins it is the key to making a usb
hard disk work on his MIPS-based system.


diff -Nru a/drivers/usb/storage/transport.c b/drivers/usb/storage/transport.c
--- a/drivers/usb/storage/transport.c	Tue Feb 18 16:46:32 2003
+++ b/drivers/usb/storage/transport.c	Tue Feb 18 16:46:32 2003
@@ -314,7 +314,7 @@
 		return USB_STOR_XFER_ERROR;
 
 	/* the transfer was cancelled, presumably by an abort */
-	case -ENODEV:
+	case -ECONNRESET:
 		US_DEBUGP("-- transfer cancelled\n");
 		return USB_STOR_XFER_ERROR;
 
